﻿using Syncfusion.Data;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SFDataGridTest.ViewModels
{
    public class MainViewModel : ViewModelBase
    {
        private DataTable _dataTable;
        public DataTable dataTable
        {
            get
            {
                return _dataTable;
            }
            set
            {
                _dataTable = value;
                OnPropertyChanged("dataTable");
            }
        }

        public MainViewModel()
        {
            
            _dataTable = new DataTable();
            

            for (int i = 0; i < 10; i++)
            {
                _dataTable.Columns.Add("Pt" + (i + 1), typeof(double));
                _dataTable.Rows.Add(DBNull.Value);
            }
        }
    }
}
